Bug 1339673 - Import VM from export_domain fail with NPE
Summary: Import VM from export_domain fail with NPE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.0.0
Hardware: x86_64
OS: Linux
unspecified
urgent vote
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 14:50 UTC by Meni Yakove
Modified: 2016-07-05 07:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 07:44:47 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
rule-engine: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)
engine.log (680.13 KB, application/zip)
2016-05-25 14:50 UTC, Meni Yakove
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57952 0 None None None 2016-05-26 12:15:44 UTC

Description Meni Yakove 2016-05-25 14:50:11 UTC
Created attachment 1161476 [details]
engine.log

Description of problem:
Import VM from export_domain fail with:
2016-05-25 17:44:18,984 ERROR [org.ovirt.engine.core.bll.exportimport.ImportVmCommand] (org.ovirt.thread.pool-8-thread-7) [1ee687cf] Exception: java.lang.NullPointerExc
eption
        at org.ovirt.engine.core.common.businessentities.storage.BaseDisk.setDiskVmElements(BaseDisk.java:83) [common.jar:]
        at org.ovirt.engine.core.bll.VmHandler.updateDisksVmDataForVm(VmHandler.java:338) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.updateBootOrder(VmDeviceUtils.java:1002) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.addManagedDevice(VmDeviceUtils.java:1409) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.addDiskDevice(VmDeviceUtils.java:947) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.addDiskDevice(VmDeviceUtils.java:931) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.addImportedDiskDevices(VmDeviceUtils.java:1443) [bll.jar:]
        at org.ovirt.engine.core.bll.utils.VmDeviceUtils.addImportedDevices(VmDeviceUtils.java:1426) [bll.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommand.lambda$processImages$0(ImportVmCommand.java:606) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:204) [utils.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommand.processImages(ImportVmCommand.java:599) [bll.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommand.processImages(ImportVmCommand.java:591) [bll.jar:]
        at org.ovirt.engine.core.bll.exportimport.ImportVmCommandBase.executeCommand(ImportVmCommandBase.java:406) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1283) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1425) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2045) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:166) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:105) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1464) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:396) [bll.jar:]
        at org.ovirt.engine.core.bll.PrevalidatingMultipleActionsRunner.executeValidatedCommand(PrevalidatingMultipleActionsRunner.java:198) [bll.jar:]
        at org.ovirt.engine.core.bll.PrevalidatingMultipleActionsRunner.runCommands(PrevalidatingMultipleActionsRunner.java:170) [bll.jar:]


Version-Release number of selected component (if applicable):
ovirt-engine-4.0.0-0.0.master.20160523171412.git1a7a1f3.el7.centos.noarch


Steps to Reproduce:
1. Import VM from export_domain


Additional info:

Comment 1 Allon Mureinik 2016-05-25 17:34:03 UTC
Tal, AFAIK https://gerrit.ovirt.org/#/c/57952/ already solves this?

Comment 2 Meni Yakove 2016-05-26 09:05:43 UTC
If the fix is in the latest nightly I can test it.

Comment 3 Meni Yakove 2016-05-26 09:58:53 UTC
Works on latest nightly, please move the bug to ON_QA and I will verify it.

Comment 4 Allon Mureinik 2016-05-26 10:14:54 UTC
Thanks Meni!
Setting to MODIFIED, and will move to ON_QA with the next official build.

Comment 5 Raz Tamir 2016-06-15 14:50:47 UTC
Verified on ovirt-engine-4.0.0.4-0.1.el7ev.noarch
Imported a vm from export domain --> no NPE in logs

Comment 6 Sandro Bonazzola 2016-07-05 07:44:47 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.